package com.rjconsultores.ventaboletos.web.utilerias.render;

import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.entidad.SeguradoraEmpresa;

public class RenderSeguradoraEmpresa implements ListitemRenderer {

    public void render(Listitem lstm, Object o) throws Exception {
        SeguradoraEmpresa segEmp = (SeguradoraEmpresa) o;

        Listcell lc = new Listcell(segEmp.getEmpresa().getNombempresa());
        lc.setParent(lstm);

        lc = new Listcell(segEmp.getSerie());
        lc.setParent(lstm);

        lstm.setAttribute("data", segEmp);
    }

}
